# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.apache.sling.scripting.javascript.wrapper.ScriptableResource.jsFunction_getMetadata()
since 2.1.0 because the method is named incorrectly.
org.apache.sling.scripting.javascript.wrapper.ScriptableResource.jsGet_meta()
since 2.1.0 because it maps the method name incorrectly.
org.apache.sling.scripting.javascript.wrapper.ScriptableResource.jsGet_type()
since 2.1.0 because it maps the method name incorrectly.